Bug 475914 - NetworkManager does not detect Novatel USB760 EVDO Modem
NetworkManager does not detect Novatel USB760 EVDO Modem
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 23:03 EST by jamie
Modified: 2010-01-25 22:26 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-22 18:12:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
lsusb -v (27.71 KB, text/plain)
2009-04-10 16:37 EDT, jamie
no flags Details
syslog (3.80 KB, text/plain)
2009-04-10 16:38 EDT, jamie
no flags Details
workaround for USB760 on Fedora 11 (143 bytes, text/plain)
2009-06-12 20:33 EDT, Ian Kluft
no flags Details
lsusb shows USB760 when Fedora mounts it as a storage device (2.94 KB, text/plain)
2009-11-22 16:48 EST, amturnip
no flags Details
lshal shows USB760 when Fedora mounts it as a storage device (725 bytes, text/plain)
2009-11-22 16:49 EST, amturnip
no flags Details
lsusb when it works as a modem (6.73 KB, text/plain)
2009-11-22 16:50 EST, amturnip
no flags Details
lsusb when it works as a modem (1.63 KB, text/plain)
2009-11-22 16:50 EST, amturnip
no flags Details

  None (edit)
Description jamie 2008-12-10 23:03:02 EST
Description of problem:
NetworkManager does not detect Novatel USB760 EVDO modem.  When added to 10-Modem.fdi, it appears four times in NetworkManager.

Version-Release number of selected component (if applicable):


How reproducible:
easy

Steps to Reproduce:
1. Add device to modprobe and 10-Modem.fdi
2. Insert USB760 Modem
3. View NetworkManager connections menu. Device is listed four times
  
Actual results:
Connection is listed four times

Expected results:
Device should be listed once

Additional info:
Added following to /etc/modprobe.d/usb769:
 options usbserial vendor=0x1410 product=0x6000
Comment 1 Dan Williams 2009-02-20 06:29:32 EST
Please test these builds and let me know if they work for you:

http://koji.fedoraproject.org/koji/buildinfo?buildID=83508

Also, can you attach the output of '/sbin/lsusb -v' ?
Comment 2 Niels Haase 2009-04-10 16:27:59 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 jamie 2009-04-10 16:37:49 EDT
Created attachment 339130 [details]
lsusb -v
Comment 4 jamie 2009-04-10 16:38:21 EDT
Created attachment 339131 [details]
syslog
Comment 5 jamie 2009-04-10 16:39:03 EDT
I sent the following via email last month:

This didn't work.  The device is seen by NetworkManager but won't 
start.  Attached output of syslog and lsusb -v
Comment 6 Niels Haase 2009-04-10 18:13:45 EDT
Thanks for supply the requested information. 

Can you please edit /etc/udev/rules.d/70-persistent-cd.rules and append the following to the line that contains "Novatel_Mass_Storage":
RUN+="/usr/bin/eject %k

Please take care that the rules entries on this file are generated by udev when the modem is seen for the first time so please insert the modem at least once before doing this step.

Please reboot your system after apply this changes. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Niels Haase 2009-04-10 18:24:09 EDT
oops, I missed the ending " in the 
RUN+="/usr/bin/eject %k"
line. Please take care of it.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 David Nalley 2009-05-14 22:13:03 EDT
I likewise have a novatel usb860 device and the udev rules suggested by Niels fixes this.
Comment 9 Dan Williams 2009-05-18 11:44:04 EDT
Yeah, not a NetworkManager thing but a udev or udev-extras issue, since the mass-storage "driver CD" device must be ejected long before the modem interface shows up.
Comment 10 Ian Kluft 2009-06-12 20:31:04 EDT
This is still an issue in F11.

In F10, I used a workaround to hold NetworkManager back at 0.7.0.  But that workaround doesn't work any more in F11.

I made a new workaround by adding a file /lib/udev/rules.d/77-nm-zzz-custom.rules with a custom rule to make udev recognize my USB760.  I'll attach a copy.
Comment 11 Ian Kluft 2009-06-12 20:33:17 EDT
Created attachment 347689 [details]
workaround for USB760 on Fedora 11

This file can be placed in /lib/udev/rules.d/77-nm-zzz-custom.rules to add udev rules to force recgonition of the USB 760
Comment 12 Harald Hoyer 2009-06-15 05:37:19 EDT
Dan, which rule do you need in udev?
Comment 13 Dan Winship 2009-06-20 20:01:11 EDT
This bug report basically applies to the Novatel MC760 (used by the just-launched Virgin Mobile Broadband2Go service) too, except with product id 0x6002 instead of 0x6000. (I'm guessing the MC760 is the 760 plus a microSD slot.)

Even after adding a udev fake-cd-ejecting rule per comment #6, a udev nm-recognizing-rule per comment #10, and a modprobe rule per comment #0, I still need to manually "modprobe usbserial" because it doesn't seem to happen automatically when the CD turns into a wireless modem... maybe if I'd updated the fdi rules that wouldn't be necessary?
Comment 14 Dan Williams 2009-06-22 19:18:50 EDT
The rule from comment #11 is the wrong way to go about this...

We need to identify what's going on and why the prober isn't detecting the ports.  Please edit the 77-nm-modem-prober.rules file and make the following line

SUBSYSTEM=="tty", SUBSYSTEMS=="usb", ATTRS{idVendor}=="?*", ATTRS{idProduct}=="?*", IMPORT{program}="nm-modem-probe --vid 0x$attr{idVendor} --pid 0x$attr{idProduct} --usb-interface $env{NM_MODEM_USB_INTERFACE_NUMBER} --driver $env{NM_MODEM_DRIVER} --delay 3000 --export $tempnode", GOTO="nm_modem_probe_end"


instead look like this:

SUBSYSTEM=="tty", SUBSYSTEMS=="usb", ATTRS{idVendor}=="?*", ATTRS{idProduct}=="?*", IMPORT{program}="nm-modem-probe --vid 0x$attr{idVendor} --pid 0x$attr{idProduct} --usb-interface $env{NM_MODEM_USB_INTERFACE_NUMBER} --driver $env{NM_MODEM_DRIVER} --delay 3000 --export $tempnode --quiet --verbose --log /tmp/modem.log", GOTO="nm_modem_probe_end"

then plug the card in, get it to eject the CD device, and attach /tmp/modem.log here.
Comment 15 Dan Williams 2009-06-22 19:20:27 EDT
(In reply to comment #13)
> This bug report basically applies to the Novatel MC760 (used by the
> just-launched Virgin Mobile Broadband2Go service) too, except with product id
> 0x6002 instead of 0x6000. (I'm guessing the MC760 is the 760 plus a microSD
> slot.)
> 
> Even after adding a udev fake-cd-ejecting rule per comment #6, a udev
> nm-recognizing-rule per comment #10, and a modprobe rule per comment #0, I
> still need to manually "modprobe usbserial" because it doesn't seem to happen
> automatically when the CD turns into a wireless modem... maybe if I'd updated
> the fdi rules that wouldn't be necessary?  

Dan, the 'option' driver doesn't have the IDs for that modem (0x6002).  You'll want to submit a patch to drivers/usb/serial/option.c to gregkh and the linux-usb list to add it.

  #define NOVATELWIRELESS_PRODUCT_EVDO_HIGHSPEED  0X6001
+ #define NOVATELWIRELESS_PRODUCT_MC760           0X6002
  #define NOVATELWIRELESS_PRODUCT_HSPA_FULLSPEED  0X7000
Comment 16 Ian Kluft 2009-07-04 14:58:36 EDT
(In reply to comment #14)
> The rule from comment #11 is the wrong way to go about this...

That's why it was a workaround.  By giving users a way to get it working immediately, it lowered the urgency of the bug and buys time to work the right solution.
Comment 17 Bug Zapper 2009-11-18 05:26:25 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 amturnip 2009-11-22 16:48:28 EST
Created attachment 372963 [details]
lsusb shows USB760 when Fedora mounts it as a storage device
Comment 19 amturnip 2009-11-22 16:49:18 EST
Created attachment 372964 [details]
lshal shows USB760 when Fedora mounts it as a storage device
Comment 20 amturnip 2009-11-22 16:50:10 EST
Created attachment 372965 [details]
lsusb when it works as a modem
Comment 21 amturnip 2009-11-22 16:50:31 EST
Created attachment 372966 [details]
lsusb when it works as a modem
Comment 22 amturnip 2009-11-22 16:57:47 EST
Fedora 12 still does not recognize the USB760 as a modem. 

I plug a Verizon Wireless USB760 mobile-broadband modem in, and Fedora 12 mounts it as a storage device, not a modem.  

This same USB760 shows up as a mobile broadband connection in NetworkManager, and functions apparently perfectly, on another computer, which has Ubuntu 9.10 that someone adjusted with considerable help from the internet.  I gather that it is a well-trodden path.

I have attached lsusb and lshal readings from both computers.
Comment 23 amturnip 2009-11-22 17:03:06 EST
I will check 'am providing the requested information' in the hopes that after this span of months any disparity, between what was last requested from someone else and what I today provided, might be forgiven.
Comment 24 Dan Williams 2009-11-22 18:12:37 EST
amturnip, you'll need to use usb_modeswitch ('yum install usb_modeswitch', see http://www.draisberghof.de/usb_modeswitch/ for more details) to flip the device to modem-mode after it's been inserted.  In any case, that's not what this bug is about; if usb_modeswitch doesn't have config info for the device please file a bug against usb_modeswitch requesting a fix for it.

The Ovation 760 device IDs have been added upstream to the 2.6.31 kernel with this commit:

commit 71f9f6cc9eef47fddc05f34b3d32677ab2e0f1fa
Author: Dan Williams <dcbw@redhat.com>
Date:   Tue Jun 30 16:09:28 2009 -0400

    USB: option: add Novatel Ovation MC760
    
    Used by Virgin Mobile with the Broadband2Go service, for example.
    
    Signed-off-by: Dan Williams <dcbw@redhat.com>
    Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>
Comment 25 Vinny Valdez 2010-01-25 22:26:01 EST
This still did not work for me, and was mounted as a mass storage device.  I filed Bug 558701 as mine is a USB760, not MC760.  I am using a "Novatel Wireless USB760 Qualcomm 3G CDMA" on Verizon, which is in the usb_modeswitch config file:

DefaultVendor=  0x1410
DefaultProduct= 0x5030
TargetVendor=   0x1410
TargetProduct=  0x6000

Note You need to log in before you can comment on or make changes to this bug.